﻿/*

	Simple Responder Class

	by Jesse R. Warden
	jesterxl@jessewarden.com
	http://www.jessewarden.com
	jesse@universalmind.com
	http://www.universalmind.com	

	This is release under a Creative Commons license. 
   	More information can be found here:
    
   	http://creativecommons.org/licenses/by/2.5/
*/

class Responder
{
	
	private var scope:Object;
	private var result:Function;
	private var fault:Function;
	
	public function Responder(scope:Object, result:Function, fault:Function)
	{
		this.scope = scope;
		this.result = result;
		this.fault = fault;
	}
	
	private function onResult(o:Object):Void
	{
		result.call(scope, o);
	}
	
	private function onFault(o:Object):Void
	{
		fault.call(scope, o);
	}
}